Subject: Re: [PATCH] hv_netvsc: Set device flags for properly indicating bonding

From: Jakub Kicinski <[email-masked]>
Date: Sat, 30 Nov 2024 14:03:07 -0800

On Wed, 27 Nov 2024 11:42:50 -0800 [email-masked] wrote:
> hv_netvsc uses a subset of bonding features in that the master always
> has only one active slave. But it never properly setup those flags.
> 
> Other kernel APIs (e.g those in "include/linux/netdevice.h") check for
> IFF_MASTER, IFF_SLAVE and IFF_BONDING for determing if those are used
> in a master/slave setup. 

I feel like this has been nacked 10 times already?
IFF_BONDING means the bonding driver.
There is more than one driver in the tree providing link aggregation
and only bonding uses IFF_BONDING. If some user is buggy fix the user.
-- 
pw-bot: reject